Subject: bug#15876: 24.3.50; Highly degraded performance between rev 114715 and 115006

From: "Sebastien Vauban" <[email-masked]>
Date: Sun, 01 Dec 2013 22:51:32 +0100

Eli Zaretskii wrote:
>> From: "Sebastien Vauban" <[email-masked]>
>> Cc: Dmitry Antipov <[email-masked]>,  [email-masked]
>> Date: Sun, 01 Dec 2013 21:20:31 +0100
>> 
>> > If you are on Windows 7, this will use the
>> > BatangChe font for the triangle, and every redisplay operation, even
>> > cursor motion, will be extremely slow.  (On XP, this font is not
>> > installed, and even if I install it, I'm unable to trigger the same
>> > problem, for some reason.)
>> 
>> FWIW, I don't know which font is used by default in the very minimal example I
>> gave, and used. But, in my real .emacs conf file, I'm using Consolas (from
>> Microsoft).
>
> For which character(s)?  You might be using Consolas for the text, but
> something else for the triangle.  "C-u C-x =" should tell you.

I don't succeed putting point on it. See http://screencast.com/t/jiC9rO3bj9T.

I can move to the end of the line, and be before it, or after it, but never on
it!?

Anyway, it must be Consolas, as Consolas is the font used everywhere else, and
as I have the following in my .emacs:

--8<---------------cut here---------------start------------->8---
    (setq org-ellipsis
          (if (char-displayable-p ?\u25B7) ; white right-pointing triangle
              " \u25B7"                 ; string
            'org-ellipsis)))            ; face
--8<---------------cut here---------------end--------------->8---

As you see, the triangle is used only if the char is displayable in the current
font, that is in Consolas in my case.

Best regards,
  Seb

-- 
Sebastien Vauban